Change log for elixir-lang package in Ubuntu

18 of 8 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-11-09
Deleted in disco-proposed (Reason: moved to release)
elixir-lang (1.7.4-0.1) unstable; urgency=medium

  * Non-maintainer upload with authorization from current maintainer.
  * New upstream release:
    - Fixes FTBFS (Closes: #910307).
  * Removed all patches.
  * Add patch to remove the UTF-8 warning (Closes: #912207).

 -- Thomas Goirand <email address hidden>  Tue, 30 Oct 2018 07:56:01 +0000

Available diffs

Superseded in disco-release on 2018-11-09
Published in cosmic-release on 2018-05-23
Deleted in cosmic-proposed (Reason: moved to release)
elixir-lang (1.6.5-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Drop myself from the Uploaders field

  [ Evgeny Golyshev ]
  * New upstream release (Closes: #869030)
    - The tests from the latest version with newer dependencies seem to be
      fine again (Closes: #871120)
  * Substitute alioth for salsa in Vcs-Browser and Vcs-Git fields
  * Add debian/upstream/metadata
  * Remove Testsuite from debian/control
  * Bump Standards-Version to 4.1.4
  * Bump compat version to 10
  * Add docs file containing NOTICE
  * Use only https in Format field of debian/copyright
  * Do not mention lib/elixir/src/elixir_parser.erl in debian/copyright
  * Disable one more rebar3 related test
  * Temporarily disable rebar related test

 -- Evgeny Golyshev <email address hidden>  Wed, 09 May 2018 23:22:08 +0300

Available diffs

Superseded in cosmic-release on 2018-05-23
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
elixir-lang (1.3.3-2) unstable; urgency=medium

  * Add erlang-crypto to Build-Depends (Closes: #837236)

 -- Evgeny Golyshev <email address hidden>  Wed, 05 Oct 2016 22:43:17 +0300

Available diffs

Superseded in zesty-release on 2016-11-04
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
elixir-lang (1.2.6-1) unstable; urgency=medium

  * Evgeny is now the maintainer

  [ Antonio Terceiro ]
  * New upstream release
  * Acknowledge Non-maintainer upload; thanks to Anton Gladky and Sergei
    Golovan.
  * debian/rules:
    - also set LC_ALL=C.UTF-8 since the VM requires UTF-8 for correct
      operation.
    - kill epmd after running tests here instead of with a patch to the
      Makefile (Closes: #819122)
  * debian/control:
    - Bump Standards-Version to 3.9.8, no other changes needed
    - Use https:// URL's for Vcs-*

  [ Evgeny Golyshev ]
  * Add patch disabling tests related to rebar3

 -- Antonio Terceiro <email address hidden>  Thu, 16 Jun 2016 09:48:49 -0300

Available diffs

Superseded in yakkety-release on 2016-06-17
Deleted in yakkety-proposed on 2016-06-18 (Reason: moved to release)
elixir-lang (1.1.0-1.1) unstable; urgency=medium

  [ Anton Gladky ]
  * Non-maintainer upload.

  [ Sergei Golovan ]
  * Kill daemon after test phase. (Closes: #819122)

 -- Anton Gladky <email address hidden>  Fri, 13 May 2016 21:02:10 +0200
Superseded in yakkety-proposed on 2016-05-16
Deleted in xenial-proposed on 2016-03-24 (Reason: Buggy build script, not autobuildable; Debian bug #819122)
elixir-lang (1.1.0-1) unstable; urgency=medium

  [ Evgeny Golyshev ]
  * Replace dependency on `erlang` with `erlang-base`. This avoids pulling
    several X11-related packages when installing on a headless system.
  * Improved package description

  [ Antonio Terceiro ]
  * New upstream release. This package will now be based on released upstream
    tarballs.
  * debian/watch: restrict to final releases
  * debian/copyright:
    - add `rebar` to Files-Excluded.
  * debian/control:
    - Switch Architecture: from `any` to `all`. Elixir code gets compiled to
      bytecode for the Erlang VM, so it is not architecture dependent.
    - Build-Depends:
      + remove `erlang` (but keep `erlang-dev)
      + add erlang-parsetools, erlang-eunit

 -- Antonio Terceiro <email address hidden>  Mon, 28 Sep 2015 11:14:32 -0300
Superseded in yakkety-release on 2016-05-16
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
elixir-lang (1.1.0~0.20150708-1) unstable; urgency=medium

  * New upstream snapshot
    + fixed to work with Erlang/OTP 18 (Closes: #791626)

 -- Antonio Terceiro <email address hidden>  Wed, 08 Jul 2015 18:29:52 -0300
Superseded in wily-release on 2015-07-09
Deleted in wily-proposed on 2015-07-10 (Reason: moved to release)
elixir-lang (1.1.0~0.20150516-1) unstable; urgency=medium

  * Initial release (Closes: #765522)

 -- Antonio Terceiro <email address hidden>  Sat, 16 May 2015 17:08:30 -0300
18 of 8 results